org.apache.tinkerpop.gremlin.structure.util.detached

## Class DetachedElement<E>

- java.lang.Object
- - org.apache.tinkerpop.gremlin.structure.util.detached.DetachedElement<E>

- All Implemented Interfaces:
    Serializable, Element, Attachable<E>
  Direct Known Subclasses:
    DetachedEdge, DetachedVertex, DetachedVertexProperty

      public abstract class DetachedElement<E>
      extends Object
      implements Element, Serializable, Attachable<E>

  Author:
    Stephen Mallette (http://stephen.genoprime.com), Marko A. Rodriguez (http://markorodriguez.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `Element.Exceptions`

    - ### Nested classes/interfaces inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `Attachable.Exceptions, Attachable.Method`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Object` | `id`
    `protected String` | `label`
    `protected Map<String,List<Property>>` | `properties`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `DetachedElement()`
    `protected` | `DetachedElement(Element element)`
    `protected` | `DetachedElement(Object id, String label)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object object)`
    `E` | `get()` Get the raw object trying to be attached.
    `Graph` | `graph()` Get the graph that this element is within.
    `int` | `hashCode()`
    `Object` | `id()` Gets the unique identifier for the graph `Element`.
    `String` | `label()` Gets the label for the graph `Element` which helps categorize it.
    `<V> Iterator<? extends Property<V>>` | `properties(String... propertyKeys)` Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys.
    `<V> Property<V>` | `property(String key)` Get a `Property` for the `Element` given its key.
    `<V> Property<V>` | `property(String key, V value)` Add or set a property value for the `Element` given its key.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.Element

      `keys, remove, value, values`

    - ### Methods inherited from interface org.apache.tinkerpop.gremlin.structure.util.Attachable

      `attach`

- - ### Field Detail

    - #### id

          protected Object id

    - #### label

          protected String label

    - #### properties

          protected Map<String,List<Property>> properties

  - ### Constructor Detail

    - #### DetachedElement

          protected DetachedElement()

    - #### DetachedElement

          protected DetachedElement(Element element)

    - #### DetachedElement

          protected DetachedElement(Object id,
                                    String label)

  - ### Method Detail

    - #### graph

          public Graph graph()

      Description copied from interface: `Element`
      Get the graph that this element is within.
      Specified by:
        `graph` in interface `Element`
      Returns:
        the graph of this element

    - #### id

          public Object id()

      Description copied from interface: `Element`
      Gets the unique identifier for the graph `Element`.
      Specified by:
        `id` in interface `Element`
      Returns:
        The id of the element

    - #### label

          public String label()

      Description copied from interface: `Element`
      Gets the label for the graph `Element` which helps categorize it.
      Specified by:
        `label` in interface `Element`
      Returns:
        The label of the element

    - #### property

          public <V> Property<V> property(String key,
                                          V value)

      Description copied from interface: `Element`
      Add or set a property value for the `Element` given its key.
      Specified by:
        `property` in interface `Element`

    - #### property

          public <V> Property<V> property(String key)

      Description copied from interface: `Element`
      Get a `Property` for the `Element` given its key. The default implementation calls the raw `Element.properties(java.lang.String...)`.
      Specified by:
        `property` in interface `Element`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object object)

      Overrides:
        `equals` in class `Object`

    - #### properties

          public <V> Iterator<? extends Property<V>> properties(String... propertyKeys)

      Description copied from interface: `Element`
      Get an `Iterator` of properties where the `propertyKeys` is meant to be a filter on the available keys. If no keys are provide then return all the properties.
      Specified by:
        `properties` in interface `Element`

    - #### get

          public E get()

      Description copied from interface: `Attachable`
      Get the raw object trying to be attached.
      Specified by:
        `get` in interface `Attachable<E>`
      Returns:
        the raw object to attach

Copyright © 2013–2020 Apache Software Foundation. All rights reserved.